Extending Qt Creator Manual | IPotentialKit

Extending Qt Creator Manual 4.5.2

# IPotentialKit Class

(ProjectExplorer::IPotentialKit)

- List of all members, including inherited members

## Public Functions

virtual QWidget * | createWidget(QWidget *parent) const = 0
virtual QString | displayName() const = 0
virtual void | executeFromMenu() = 0
virtual bool | isEnabled() const = 0

## Member Function Documentation

### `[pure virtual]` QWidget *IPotentialKit::createWidget(QWidget *parent) const

### `[pure virtual]` QString IPotentialKit::displayName() const

### `[pure virtual]` void IPotentialKit::executeFromMenu()

### `[pure virtual]` bool IPotentialKit::isEnabled() const